<? $this->headScript()
		->appendFile(_st('overlay.js'), 'text/javascript')
		->appendFile(_st('escort-reviews.js'), 'text/javascript')
		->appendFile(_st('private-messaging.js'), 'text/javascript')
		->appendFile(_st('follow.js'), 'text/javascript')
		//->appendFile(_st('reviews.js'), 'text/javascript')
		//->appendScript('Cubix.Rev.lng = "' . Cubix_I18n::getLang() . '"');
?>

<? $this->headLink()->appendStylesheet(_st('follow.css')) ?>
<? $this->headLink()->appendStylesheet(_st('reviews.css')) ?>
<script type="text/javascript" >
	window.addEvent('domready', function(){
		
		$('member-info').getElements('a').addEvent('click', function(e){
			if ( this.get('rel') ) {
				e.stop();
				$('result-box').setStyle('display','block');
				getAjaxInfo(this.get('rel'));
			}
		});
		
		$('.comment_request').addEvent('click', function(e) {
			e.stop();
			
			var self = this;
			
			<? if (!$this->user): ?>
				Cubix.Popup.Show('489', '652');
				return false;
			<? endif; ?>
				
			var f_id = self.get('id');
			
			var overlay = new Cubix.Overlay($('top-item-' + f_id), {
				loader: _st('loader-circular-tiny.gif'),
				position: '50%'
			});

			overlay.disable();
			
			var data = {
				f_id: f_id
			};
			
			new Request.JSON({
				url: '/private/send-fav-request',
				method: 'post',
				data: data,
				onSuccess: function (resp) {
					if (resp.success) {
						self.getParent().set('html', '<?= __('request_sent') ?>');
						overlay.enable();
					}
				}
			}).send();
		});
	})
	
	var getAjaxInfo = function(url){
			var overlay = new Cubix.Overlay($('result-box'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });
			overlay.disable();
			new Request({
					url: url,
					method: 'get',
					onSuccess: function (resp) {
						var ajaxBody = $('result-box').getElement('.body');
						$('result-box').getElement('.body').set('html', resp);
						if(url.search('get-member-comments') == -1){
							if (ajaxBody.hasClass('latestCommentsItem')){
								ajaxBody.removeClass('latestCommentsItem');
							}
							ajaxBody.addClass('guide-content');
							ajaxBody.getParent().addClass('rcol');
						}
						else{
							if (ajaxBody.hasClass('guide-content')){
								ajaxBody.removeClass('guide-content');
								ajaxBody.getParent().removeClass('rcol');
							}
							ajaxBody.addClass('latestCommentsItem')
							
						}
						overlay.enable();
						if ( resp.length == 0 ){
							$('result-box').setStyle('display','none');
						}
						/*if(url.search('evaluations') != -1){
							var pages = $('.bubble-paging')[0].getElements('a');
							pages.removeEvents('click').addEvent('click',function(e){
							e.stop();
							e.stopPropagation();
							var pageingUrl = this.get('href') + '&from_members_info=1&from_&ajax=1';
							getAjaxInfo(pageingUrl);
							})
						}*/
					}
				}).send();
				return false;
		}
	
</script>
<?
	$back_url = '';
	if ( $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}
?>

<a href="<?= $back_url ?>" id="global-btn-back"><img src="<?= $this->lang()=='en' ? _st('v2.1/btn_back.gif') : _st('v2.1/btn_back_fr.gif') ?>" alt="Back" /></a>
<div class="clear"></div>

<div class="grey-box " style="position: relative">
	<div class="body">
		<table id="member-info">
			<tr>
				<td ><?= $this->t('member_name') ?>:</td>
				<th class="w140" style="position: relative;">
					<span class="fleft member-name-h" style="line-height: 1.8;"><?= $this->member_info['username'] ?></span>
					<a style="float: left; height: 18px; outline: none; margin: 4px 0 0 3px;" href="" onclick="return Cubix.PrivateMessaging.Show($(this).getParent(), '<?=  "member-" . $this->member_info['user_id'] ?>')">
						<img src='<?= _st('v2.1/private-messaging/pm_btn_small.png') ?>' alt='<?= $this->t('contact_me') ?>' />
					</a>
					
					<div class="follow-count"><span class="count"><?= $this->followCount ?></span> <?= __('fm_follow_count')?>
						<? if($this->user && ($this->user->isMember() || $this->user->isEscort())): ?>
							<span class='follow-icon' style="cursor: pointer;" onclick="return Cubix.Follow.followPopup(<?= $this->member_info['user_id'] ?>,'add')"></span>
						<? endif; ?>
					</div>	
				</th>
				
				<td >Signup Date:</td>
				<th class="w215"><?= date("d M Y", strtotime($this->member_info['date_registered'])) ?></th>
				<td style="padding:0" ><?= $this->t('about_me')?>:</td>
			</tr>
			<tr>
				<td><?= $this->t('country') ?>:</td>
				<th class="w140"><?= $this->member_info['country'] ?></th>
				<td ><?= $this->t('reviews') ?>:</td>
				<th class="w215">
					<? if($this->member_info['reviews_count'] > 0): ?>
						<a class="reviews-a" href="#" rel="<?= $this->getLink('reviews',array('user_id'=> $this->member_info['user_id'],'member_name'=>$this->member_info['username'],'ajax'=>1,'ord_dir'=>'desc','ord_field'=>'creation_date','page'=>1,'from_members_info'=>1)) ?>"><?= $this->member_info['reviews_count'] ?></a> (last review on <?=  date("d.m.Y", strtotime($this->member_info['last_review_date'])) ?>)
					<? else: ?>
						<span>0</span>
					<? endif;?>
				</th>
				<td class="about-me-col" rowspan="2"><div><?= $this->member_info['about_me'] ?></div></td>
			</tr>
			<tr>
				<td><?= $this->t('city') ?>:</td>
				<th class="w140"><?= $this->member_info['city'] ?></th>
				<td ><?= $this->t('comments') ?>:</td>
				<th class="w215">
					<? if($this->member_info['comments_count'] > 0): ?>
						<a class="comments-a" href="#" rel="<?= $this->getLink('member-comments',array('user_id'=> $this->member_info['user_id'])) ?>"> <?= $this->member_info['comments_count'] ?></a> (last comment on <?= date("d.m.Y", strtotime($this->member_info['last_comment_date'])) ?>)
					<? else: ?>
						<span>0</span>
					<? endif;?>
				</th>
			</tr>
		</table>
		
	</div>
</div>
<div id="result-box"  style="position: relative;display:none">
	<div class="grey-box ">
		<div class="body ajax">
			
		</div>
	</div>
</div>

<? if ($this->top10): ?>
	<div id="member-top10" class="grey-box">
		<div class="body" id="favorites">
			<div class="top-flag"><?= __('top10') ?></div>
			<div id="top-favs" class="mem">
				<div id="top-items" class="escorts">
					<? foreach ($this->top10 as $item): ?>
						<? if ( ! $item instanceof Model_EscortV2Item ): ?>
							<? $item = new Model_EscortV2Item($item);  ?>
						<? endif; ?>
						<div class="top-item mem" id="top-item-<?= $item['f_id'] ?>">
							<div class="rank">
								<div class="box">
									<div class="title"><?= __('rank_label') ?></div>
									<div class="number"><?= $item['rank'] ?></div>
								</div>
							</div>
							<div class="esc">
								<div class="escort prem">
									<div class="photo_wrap">
										<a href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>" class="showname"><?= $item['showname'] ?></a>
										<div class="esc-wrap esc-wrap-style-prem">
											<div class="wrap">
												<div class="image">
													<? if ($item['status'] != 32): ?>
													<div class="disable-over small">
														<div class="text"><?= __('currently_not_active') ?></div>
													</div>
													<? endif; ?>
													<? if ($item['is_new']): ?><span class="new"></span><? endif ?>
													<? if ($item['is_suspicious']): ?><span class="suspicious"></span><? endif ?>
													<? if ($item['verified_status'] == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?><span class="p100s"></span><? endif; ?>

													<a href="<?= $this->getLink('profile', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
														<img class="escort-thumb" alt="" src="<?= $item->getMainPhoto()->getUrl('agency_p100') ?>" />
													</a>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="com">
								<div class="com-text">
									<? if ($item['type'] == 1 && $item['comment_status'] == 2): ?>
										<?= $item['comment'] ?>
									<? elseif (strlen($item['comment']) > 0 && ($item['type'] == 2 || ($item['type'] == 1 && $item['comment_status'] == 3))): ?>
										<? if (!$this->user || !isset($this->reqs[$item['f_id']])): ?>
											<div id="fav-req-comment">
												<?= __('has_private_hidden_comment') ?>
												<a href="#" id="<?= $item['f_id'] ?>" class="comment_request"><?= __('request_comment') ?></a>
											</div>
										<? elseif (isset($this->reqs[$item['f_id']]) && $this->reqs[$item['f_id']] == 1): ?>
											<div id="fav-req-comment">
												<?= __('request_sent') ?>
											</div>
										<? elseif (isset($this->reqs[$item['f_id']]) && $this->reqs[$item['f_id']] == 2): ?>
											<?= $item['comment'] ?>
										<? endif; ?>
									<? endif; ?>
								</div>
							</div>
							<div class="clear"></div>
						</div>
					<? endforeach; ?>
					<div class="clear"></div>
				</div>
			</div>
		</div>
	</div>
<? endif; ?>